Bug 813999 - SELinux is preventing /bin/bash from 'execute' accesses on the file /bin/bash.
SELinux is preventing /bin/bash from 'execute' accesses on the file /bin/bash.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:5f8de6c848b610fa9749dd9736c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 21:02 EDT by Adrin Jalali
Modified: 2012-06-22 09:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 09:33:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrin Jalali 2012-04-18 21:02:06 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.1-5.fc16.x86_64
reason:         SELinux is preventing /bin/bash from 'execute' accesses on the file /bin/bash.
time:           Wed 18 Apr 2012 06:01:58 PM PDT

description:
:SELinux is preventing /bin/bash from 'execute' accesses on the file /bin/bash.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that bash should be allowed execute access on the bash file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep dimm-error-trig /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:mcelog_t:s0
:Target Context                system_u:object_r:shell_exec_t:s0
:Target Objects                /bin/bash [ file ]
:Source                        dimm-error-trig
:Source Path                   /bin/bash
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           bash-4.2.24-1.fc16.x86_64
:Policy RPM                    selinux-policy-3.10.0-80.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.1-5.fc16.x86_64 #1 SMP Tue
:                              Apr 10 19:56:52 UTC 2012 x86_64 x86_64
:Alert Count                   8
:First Seen                    Tue 27 Mar 2012 09:40:46 AM PDT
:Last Seen                     Wed 18 Apr 2012 10:35:43 AM PDT
:Local ID                      15f63ab6-1529-4498-91ca-839f12aec1ba
:
:Raw Audit Messages
:type=AVC msg=audit(1334770543.523:14): avc:  denied  { execute } for  pid=1314 comm="mcelog" name="bash" dev="sdb3" ino=2753566 scontext=system_u:system_r:mcelog_t:s0 tcontext=system_u:object_r:shell_exec_t:s0 tclass=file
:
:
:Hash: dimm-error-trig,mcelog_t,shell_exec_t,file,execute
:
:audit2allow
:
:#============= mcelog_t ==============
:allow mcelog_t shell_exec_t:file execute;
:
:audit2allow -R
:
:#============= mcelog_t ==============
:allow mcelog_t shell_exec_t:file execute;
:
Comment 1 Miroslav Grepl 2012-06-22 09:33:27 EDT
Please execute

$ yum update selinux-policy-targeted

Note You need to log in before you can comment on or make changes to this bug.